// *************************************
//
//   Clean Task
//
// *************************************

// -------------------------------------
//   Modules
// -------------------------------------
//
// rimraf              : Delete files and folders
var rimraf = require('rimraf');

/**
 * Clean Task Function
 * @param config        :The configuration to use
 * @param callback      :To confirm when the task is done
 * @returns {*}         : returns instance of rimraf
 */
module.exports = function(config, callback){
    return rimraf(config.clean.target, callback);
};
